// @ts-check
import { defineConfig } from 'astro/config';
import starlight from '@astrojs/starlight';

// https://astro.build/config
export default defineConfig({
  /*redirects: {
    '/': '/en/'
  },*/
  trailingSlash: 'always',
	integrations: [
		starlight({
			title: 'Open Harbor',
      logo: {
        replacesTitle: true,
        light: './src/assets/logo.png',
        dark: './src/assets/dark-logo.png',
      },
			defaultLocale: 'en',
			locales: {
        en: {
					label: 'English'
				},
				fr: {
					label: 'Français'
				}
			},
			social: { // todo: implement gitea social
				github: 'https://git.openharbor.io/Open-Harbor/dotnet-cqrs',
			},
      customCss: [
        './src/styles/global.css'
      ],
			sidebar: [
				{
					label: '.NET',
          items: [
            {
              label: 'Guides',
              items: [
                { label: 'Concept', slug: 'dotnet/guides/concept' },
                { label: 'Getting Started', slug: 'dotnet/guides/getting-started' },
                { label: 'Adding your first command', slug: 'dotnet/guides/first-command' },
              ]
            },
            {
              label: 'References',
              items: [
                'dotnet/references/example'
              ]
            },
            {
              label: 'Resources',
              items: [
                'dotnet/resources/nugets',
                { label: 'Git', link: 'https://git.openharbor.io/Open-Harbor/dotnet-cqrs' }
              ]
            }
          ],
				}
			],
		}),
	],
});
